%define gst_plugins gst-plugins
%define ver_major 0.10

Name: %gst_plugins-base
Version: %ver_major.12
Release: alt1

%def_disable debug
%def_disable static

%def_disable check

Summary: An essential set of GStreamer plugins
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

%def_enable alsa
%def_enable cdparanoia
%def_enable gnome_vfs
%def_enable gst_v4l
%def_enable libvisual
%def_enable ogg
%def_enable pango
%def_enable theora
%def_enable vorbis
%def_enable x
%def_enable xvideo

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

%define gst_ver 0.10.6.1

%define alsa_ver 0.9.1
%define freetype_ver 2.0.9
%define glib_ver 2.6
%define gtk_ver 2.2
%define liboil_ver 0.3.2
%define libvisual_ver 0.2.0
%define ogg_ver 1.0
%define vorbis_ver 1.0

Requires: lib%gst_plugins = %version-%release
Requires: gstreamer >= %gst_ver

Requires: glib2 >= %glib_ver
Requires: liboil >= %liboil_ver

Source: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

BuildRequires: common-licenses cvs docbook-dtds docbook-style-xsl
BuildRequires: fontconfig-devel libalsa-devel libatk-devel libavahi-glib
BuildRequires: libgamin-fam libgpg-error libxml2-devel pkg-config
BuildRequires: python-base python-module-PyXML python-modules-compiler
BuildRequires: python-modules-email python-modules-encodings
BuildRequires: python-modules-logging python-modules-xml
BuildRequires: xml-common xsltproc zlib-devel
# WTF?
#BuildRequires: gnome-control-center nautilus2-cd-burner

BuildRequires: gstreamer-devel >= %gst_ver
BuildRequires: check >= 0.9.2
BuildRequires: autoconf >= 2.52
BuildRequires: automake >= 1.6
BuildRequires: libtool >= 1.5.0
BuildRequires: gettext-tools >= 0.11.5
BuildRequires: gtk-doc >= 1.3
BuildRequires: python >= 2.1
BuildRequires: glib2-devel >= %glib_ver
BuildRequires: freetype2-devel >= %freetype_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: liboil-devel >= %liboil_ver

%if_enabled alsa
BuildRequires: libalsa-devel >= %alsa_ver
%endif
%if_enabled cdparanoia
BuildRequires: libcdparanoia-devel
%endif
%if_enabled gnome_vfs
BuildRequires: gnome-vfs-devel ORBit2-devel libGConf2-devel libbonobo2-devel
%endif
%if_enabled libvisual
BuildRequires: libvisual-devel >= %libvisual_ver
%endif
%if_enabled ogg
BuildRequires: libogg-devel >= %ogg_ver
%endif
%if_enabled pango
BuildRequires: libpango-devel
%endif
%if_enabled theora
BuildRequires: libtheora-devel
%endif
%if_enabled vorbis
BuildRequires: libvorbis-devel >= %vorbis_ver
%endif
%if_enabled x
BuildRequires: imake libICE-devel libSM-devel
BuildRequires: libX11-devel libXext-devel libXt-devel
BuildRequires: xorg-cf-files xorg-x11-proto-devel
%endif
%if_enabled xvideo
BuildRequires: imake libXv-devel libXext-devel xorg-cf-files
%endif

%description
GStreamer Base Plug-ins is a well-groomed and well-maintained
collection of GStreamer plug-ins and elements, spanning the range of
possible types of elements one would want to write for GStreamer. A
wide range of video and audio decoders, encoders, and filters are
included.

%package -n lib%gst_plugins
Summary: GStreamer plugin libraries
Group: System/Libraries
Requires: libgstreamer >= %gst_ver

%description -n lib%gst_plugins
Helper libraries for GStreamer plugins,
containing base classes useful for elements. 

%package -n %gst_plugins-tools
Summary: GStreamer plugin tools
Group: Development/Other
Requires: %name = %version-%release

%description -n %gst_plugins-tools
This package contains a few test tools from the
GStreamer Base Plugins distribution.

%package -n %gst_plugins-devel
Summary: Development files for GStreamer plugins
Group: Development/C
Requires: lib%gst_plugins = %version-%release
Requires: gstreamer-devel >= %gst_ver
Provides: gstreamer-plugins-devel = %version

%description -n %gst_plugins-devel
This package contains the libraries, headers and other files necessary
to develop GStreamer plugins.

%package -n %gst_plugins-devel-doc
Summary: Development documentation for GStreamer plugin libraries
Group: Development/C

%description -n %gst_plugins-devel-doc
This package contains development documentation for common plugin libraries
coming with GStreamer Base Plugins distribution.

%package devel-doc
Summary: Development documentation for GStreamer Base plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Base Plugins.

%package all
Summary: Full GStreamer Base Plugins collection
Group: System/Libraries
Requires: %name = %version-%release
Requires: %name-audio-filters = %version-%release
Requires: %name-network = %version-%release
Requires: %name-subtitle = %version-%release
Requires: %name-test = %version-%release
Requires: %name-video-filters = %version-%release
%if_enabled alsa
Requires: %gst_plugins-alsa = %version-%release
%endif
%if_enabled cdparanoia
Requires: %gst_plugins-cdparanoia = %version-%release
%endif
%if_enabled gnome_vfs
Requires: %gst_plugins-gnomevfs = %version-%release
%endif
%if_enabled libvisual
Requires: %gst_plugins-libvisual = %version-%release
%endif
%if_enabled ogg
Requires: %gst_plugins-ogg = %version-%release
%endif
%if_enabled pango
Requires: %gst_plugins-pango = %version-%release
%endif
%if_enabled theora
Requires: %gst_plugins-theora = %version-%release
%endif
%if_enabled gst_v4l
Requires: %gst_plugins-video4linux = %version-%release
%endif
%if_enabled vorbis
Requires: %gst_plugins-vorbis = %version-%release
%endif
%if_enabled x
Requires: %gst_plugins-ximagesink = %version-%release
%endif
%if_enabled xvideo
Requires: %gst_plugins-xvideo = %version-%release
%endif

%description all
This umbrella package encompasses the full set of GStreamer Base plugins.

%package audio-filters
Summary: GStreamer Base audio filter plugins
Group: Sound
Requires: %name = %version-%release

%description audio-filters
The GStreamer Base plugins that implement
various audio effects and conversions.

%package network
Summary: GStreamer Base network protocol plugins
Group: Networking/Other
Requires: %name = %version-%release

%description network
GStreamer Base plugins that implement transfer over TCP/IP networks using
various protocols. Currently included is the TCP plugin.

%package subtitle
Summary: GStreamer Base subtitle parser plugins
Group: Video
Requires: %name = %version-%release

%description subtitle
GStreamer Base plugins for subtitle parsing.

%package test
Summary: GStreamer Base debug and testing plugins
Group: System/Libraries
Requires: %name = %version-%release

%description test
GStreamer Base plugins that can be instrumental in testing and debugging
other plugins and pipelines.

%package video-filters
Summary: GStreamer Base video filter plugins
Group: Video
Requires: %name = %version-%release

%description video-filters
The GStreamer Base plugins that implement
various video effects and conversions.

%package -n %gst_plugins-alsa
Summary: GStreamer plugin for ALSA
Group: Sound
Requires: %name = %version-%release
Requires: libalsa >= %alsa_ver
Provides: gstreamer(audio-hardware-source) = %version
Provides: gstreamer(audio-hardware-sink) = %version

%description -n %gst_plugins-alsa
GStreamer source and sink plugin for the ALSA audio hardware architecture.

%package -n %gst_plugins-cdparanoia
Summary: GStreamer plugin for CD audio extraction
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-cdparanoia
GStreamer plugin for reading CD audio tracks using the cdparanoia library.

%package -n %gst_plugins-gnomevfs
Summary: GStreamer plugin for GNOME VFS input and output
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-gnomevfs
GStreamer plugin for reading and writing through GNOME VFS streams.

%package -n %gst_plugins-libvisual
Summary: GStreamer plugin for libvisual
Group: Sound
Requires: %name = %version-%release
Requires: libvisual >= %libvisual_ver

%description -n %gst_plugins-libvisual
GStreamer plugin for visualizations through the libvisual library.

%package -n %gst_plugins-ogg
Summary: GStreamer plugin for decoding and encoding Ogg media format
Group: System/Libraries
Requires: %name = %version-%release
Requires: libogg >= %ogg_ver

%description -n %gst_plugins-ogg
GStreamer plugin for encoding and decoding Ogg media container streams.

%package -n %gst_plugins-pango
Summary: GStreamer Pango output plugin
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-pango
GStreamer plugin for Pango-based text rendering and overlay.

%package -n %gst_plugins-theora
Summary: GStreamer Ogg Theora codec
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-theora
GStreamer plugin for encoding and decoding Ogg Theora video format.

%package -n %gst_plugins-video4linux
Summary: GStreamer Video for Linux input plugin
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-video4linux
GStreamer plugin for receiving Video for Linux streams.

%package -n %gst_plugins-vorbis
Summary: GStreamer Ogg Vorbis codec
Group: Sound
Requires: %name = %version-%release
Requires: libvorbis >= %vorbis_ver

%description -n %gst_plugins-vorbis
GStreamer plugin for encoding and decoding Ogg Vorbis audio format.

%package -n %gst_plugins-ximagesink
Summary: GStreamer video output plugin for X11 server
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-ximagesink
GStreamer plugin for video output to X11 server based on standard Xlib calls.

%package -n %gst_plugins-xvideo
Summary: GStreamer video output plugin using Xv extension
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-xvideo
GStreamer video output plugin using Xv extension of the X11 server.

%prep
%setup -q
%__rm -f COPYING.LIB
%__ln_s %_licensedir/LGPL-2 COPYING.LIB
%__bzip2 -k ChangeLog

%build
NOCONFIGURE=1 ./autogen.sh

export ac_cv_path_VALGRIND_PATH=%_bindir/valgrind
%configure \
    --disable-examples \
    --disable-valgrind \
    --enable-gtk-doc \
    %{subst_enable debug} \
    %{subst_enable static} \
    \
    %{subst_enable alsa} \
    %{subst_enable cdparanoia} \
    %{subst_enable gnome_vfs} \
    %{subst_enable gst_v4l} \
    %{subst_enable libvisual} \
    %{subst_enable ogg} \
    %{subst_enable pango} \
    %{subst_enable theora} \
    %{subst_enable vorbis} \
%if_disabled x
    --disable-x \
    --disable-xshm \
%endif
    %{subst_enable xvideo} \
    --with-html-dir=%_gtk_docdir
%make_build

%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %name-%ver_major

%post -n lib%gst_plugins -p %post_ldconfig

%postun -n lib%gst_plugins -p %postun_ldconfig

%files -f %name-%ver_major.lang
%doc AUTHORS ChangeLog.bz2 NEWS README RELEASE
%doc --no-dereference COPYING.LIB
%_gst_libdir/libgstadder.so
%_gst_libdir/libgstdecodebin.so
%_gst_libdir/libgstdecodebin2.so
%_gst_libdir/libgstplaybin.so
%_gst_libdir/libgsttypefindfunctions.so
%_gst_libdir/libgstgdp.so

%files audio-filters
%_gst_libdir/libgstaudio*.so
%exclude %_gst_libdir/libgstaudiotestsrc.so
%_gst_libdir/libgstvolume.so

%files network
%_gst_libdir/libgsttcp.so

%files subtitle
%_gst_libdir/libgstsubparse.so

%files test
%_gst_libdir/libgstaudiotestsrc.so
%_gst_libdir/libgstvideotestsrc.so

%files video-filters
%_gst_libdir/libgstffmpegcolorspace.so
%_gst_libdir/libgstvideo*.so
%exclude %_gst_libdir/libgstvideo4linux.so
%exclude %_gst_libdir/libgstvideotestsrc.so

%files -n lib%gst_plugins
%_libdir/*.so.*

%files  -n %gst_plugins-tools
%_bindir/*-%ver_major
%_man1dir/*

%files  -n %gst_plugins-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n %gst_plugins-devel-doc
%_gtk_docdir/%name-libs-%ver_major

%files devel-doc
%_gtk_docdir/%name-plugins-%ver_major

%files all

%if_enabled alsa
%files -n %gst_plugins-alsa
%_gst_libdir/libgstalsa.so
%endif

%if_enabled cdparanoia
%files -n %gst_plugins-cdparanoia
%_gst_libdir/libgstcdparanoia.so
%endif

%if_enabled gnome_vfs
%files -n %gst_plugins-gnomevfs
%_gst_libdir/libgstgnomevfs.so
%endif

%if_enabled libvisual
%files -n %gst_plugins-libvisual
%_gst_libdir/libgstlibvisual.so
%endif

%if_enabled ogg
%files -n %gst_plugins-ogg
%_gst_libdir/libgstogg.so
%endif

%if_enabled pango
%files -n %gst_plugins-pango
%_gst_libdir/libgstpango.so
%endif

%if_enabled theora
%files -n %gst_plugins-theora
%_gst_libdir/libgsttheora.so
%endif

%if_enabled gst_v4l
%files -n %gst_plugins-video4linux
%_gst_libdir/libgstvideo4linux.so
%endif

%if_enabled vorbis
%files -n %gst_plugins-vorbis
%_gst_libdir/libgstvorbis.so
%endif

%if_enabled x
%files -n %gst_plugins-ximagesink
%_gst_libdir/libgstximagesink.so
%endif

%if_enabled xvideo
%files -n %gst_plugins-xvideo
%_gst_libdir/libgstxvimagesink.so
%endif

%changelog
* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.12-alt1
- 0.10.11 -> 0.10.12

* Tue Feb 20 2007 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt1
- 0.10.9 -> 0.10.11

* Wed Aug 23 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.9-alt1
- Release 0.10.9

* Tue Jun 13 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt1
- Release 0.10.8

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.7-alt1
- Updated to 0.10.7
- Renamed gst-plugins-x11 to gst-plugins-ximagesink

* Fri Apr 14 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.5-alt1
- Release 0.10.5

* Sun Mar 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Renamed debug to test
- Renamed effects to filters
- Buildreq

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Enabled cdparanoia back after the upstream
- Added the cdparanoia plugin package in earnest

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1
- Disabled cdparanoia after the upstream

* Sat Dec 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Updated to 0.10.0
- Added pango plugin

* Fri Nov 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt1
- Initial release for Sisyphus of plugins as split in 0.9
